<?php if($USUARIO=='') echo '<script>self.location="'.PATH_HOME.'";</script>'; 
 $Ubicacion = new DB();
 $sqlUbicacion = "SELECT * FROM rol_usuarios us, inventarios_ubicaciones ubi
 WHERE us.ubica_codigo = ubi.ubica_codigo
 AND us.us_id = '$USID';"; 
 $Ubicacion->dbSQL($sqlUbicacion);
 if($Ubicacion->next()){
 	$ubica_nombre = $Ubicacion->dbField('ubica_nombre');
	$UbicacionID = $Ubicacion->dbField('ubica_codigo');
 }else
	$ubica_nombre = 'Central';

	$UsAccesos = [];
	$UsArchivo = [];
	
	switch($ROL){
		//administradores del sistema
		case 1 : $TipoUsuario = "Administrador"; 		
			$UsAccesos = array(
				'Productos',
				'Ubicaciones',
				'Usuarios',
				'Clientes',				
				'Traspasos',
				'Preventas',				
				'Enviar Preventas',
				'Reportes Cajas',
				'Reportes Almacenes',				
				'Reportes Caja Chica',
				'Reportes Generales',
				'Devoluciones',
				'Ventas Unitarias',
				'Comprobar Duplicidad',
			);
			$UsArchivo = array(
				'productos/ver',
				'ubicaciones/ver',
				'usuarios/ver',
				'clientes/ver',
				'traspasos-lista/ver',				
				'preventas/ver',				
				'enviar-whatsapp/preventas',
				'reportes-cajas/ver',				
				'rep-almacenes/ver',
				'rep-cajachica/ver',
				'reportes-generales/ver',
				'devoluciones/ventas',
				'ventasunitarias/ventas',	
				'duplicidad/productos',		
			);
			$UsIconos = array(
				'fas fa-box-open',
				'fas fa-ambulance',
				'fas fa-address-book',
				'fas fa-id-card-alt',				
				'fab fa-telegram-plane',
				'fab fa-slack',				
				'fab fa-whatsapp',
				'icon-social-dropbox',
				'fas fa-money-check-alt',				
				'fas fa-server',
				//'fas fa-motorcycle',
				'icon-social-dropbox',
				'fas fa-times-circle',
				'fas fa-motorcycle',				
				'fas fa-box-open',
			);
		break;
		//Vendedores
		case 2 : $TipoUsuario = "Vendedor"; 
			$UsAccesos = array(
				'Vender',
				'Traspasos',				
				'Clientes',
				'Preventas',
				'Enviar Preventas',
				'Solicitar Traspaso',
				'Ventas por Mayor<br> todas las Ubicaciones',
				'Solicitar Traspaso',
			);
			$UsArchivo = array(
				'ventas/ver',
				'traspasos/ver',				
				'clientes/ver',
				'preventas/ver',
				'enviar-whatsapp/preventas',
				'traspasos-solicitar/productos',
				'ventas/por-mayor',			
				'traspasos-solicitar-form/nuevo',
			);
			$UsIconos = array(
				'fas fa-money-check-alt',
				'fas fa-motorcycle',				
				'fas fa-id-card-alt',
				'fas fa-dolly-flatbed',
				'fab fa-whatsapp',
				'fas fa-motorcycle',
				'fas fa-motorcycle',
				'fas fa-motorcycle',
			);
		break;  
		//Almacenes
		case 3 : $TipoUsuario = "Encargado Almacenes"; 
			$UsAccesos = array(
				'Entregas',
				'Lista Traspasos',
				'Realizar Traspaso',	
				'Traspaso Solicitudes',			
			);
			$UsArchivo = array(
				'rep-almacenes/ver',
				'traspasos/ver',
				'traspasos-lista/ver',
				'traspasos-solicitudes-usuarios/lista',				
			);
			$UsIconos = array(
				'fas fa-dolly-flatbed',
				'fas fa-motorcycle',
				'fas fa-dolly',			
				'fas fa-box-open',
			);
		break;  
	  //Cajeros
		case 4 : $TipoUsuario = "Cajero"; 
			$UsAccesos = array(
				'Cajas por Cobrar',
				'Traspaso Solicitudes',	
				'Ventas Unitarias',
				'Ventas Generales<br> por Ubicación',
				'Ventas por Mayor<br> todas las Ubicaciones',
				'Duplicidad Productos',	
				'Solicitar Traspaso',
			);
			$UsArchivo = array(
				'cajas-cobrar/ver',
				'traspasos-solicitudes-usuarios-cajeros/lista',				
				'ventasunitarias/vender',
				'ventasgrales/generales',
				'ventas/por-mayor',
				'duplicidad-cajeros/revisar',
				'traspasos-solicitar-form/nuevo',
			);
			$UsIconos = array(
				'fas fa-dollar-sign',
				'fas fa-box-open',
				'fas fa-dollar-sign',				
				'fas fa-dollar-sign',				
				'fas fa-dollar-sign',									
				'fas fa-box-open',
				'fas fa-motorcycle',				
			);
		break; 
	//super Vendedores
		case 5 : $TipoUsuario = "Super-Vendedor"; 
			$UsAccesos = array(
				'Vender',
				'Traspasos',				
				'Clientes',
				'Preventas',
				'Enviar Preventas',
				'Solicitar Traspaso',
			);
			$UsArchivo = array(
				'ventas/ver',
				'traspasos/ver',				
				'clientes/ver',
				'preventas/ver',
				'enviar-whatsapp/preventas',
				'traspasos-solicitar/productos',
			);
			$UsIconos = array(
				'fas fa-money-check-alt',
				'fas fa-motorcycle',				
				'fas fa-id-card-alt',
				'fas fa-dolly-flatbed',
				'fab fa-whatsapp',
				'fas fa-motorcycle',
			);
		break;  
		case 6 : $TipoUsuario = "Super-Encargado Almacenes"; 
			$UsAccesos = array(
				'Entregas',
				'Lista Traspasos',
				'Realizar Traspaso',	
				'Traspaso Solicitudes',			
			);
			$UsArchivo = array(
				'rep-almacenes/ver',
				'traspasos/ver',
				'traspasos-lista/ver',
				'traspasos-solicitudes-usuarios/lista',				
			);
			$UsIconos = array(
				'fas fa-dolly-flatbed',
				'fas fa-motorcycle',
				'fas fa-dolly',			
				'fas fa-box-open',
			);
		break;  
	  //Cajeros
		case 7 : $TipoUsuario = "Super-Cajero"; 
			$UsAccesos = array(
				'Cajas por Cobrar',
				'Caja Chica',
				'Traspaso Solicitudes',	
				'Solicitar Traspaso',		
			);
			$UsArchivo = array(
				'cajas-cobrar/ver',
				'cajeros-cajachica/ver',
				'traspasos-solicitudes-usuarios-cajeros/lista',					
				'traspasos-solicitar-form/nuevo',			
			);
			$UsIconos = array(
				'fas fa-dollar-sign',
				'fas fa-donate',					
				'fas fa-box-open',
				'fas fa-motorcycle',
			);
		break; 
	}
?>
<div class="main-header">
			<div class="logo-header" data-background-color="green2">				
				<a href="#" class="logo">
					<img src='<?php echo PATH_HOME.'assets/img/logo.png' ?>' class="navbar-brand">
				</a>	
            <button class="navbar-toggler sidenav-toggler ml-auto" type="button" data-toggle="collapse" data-target="collapse" aria-expanded="false" aria-label="Toggle navigation">
					<span class="navbar-toggler-icon">
						<i class="icon-menu"></i>
					</span>
				</button>
				<button class="topbar-toggler more"><i class="icon-options-vertical"></i></button>
				<div class="nav-toggle">
					<button class="btn btn-toggle toggle-sidebar">
						<i class="icon-menu"></i>
					</button>
				</div>			
			</div>

			<!-- Navbar Header -->
			<nav class="navbar navbar-header navbar-expand-lg" data-background-color="green2">
				
				<div class="container-fluid">		
					<div class="collapse" id="search-nav">
						<div style='color:white'>
							<?php echo '<b>'.$TipoUsuario.': </b>'.$USUARIO.' '.$USCODIGO; ?>
							<br>
							<b>Ubicación: </b>
							<?php 
							echo $ubica_nombre;
							$UbicacionUsuario = $ubica_nombre; ?>
							<input type="hidden" id='txtHora'><input type="hidden" id='txtFecha'>
						</div>						
					</div>				
					<ul class="navbar-nav topbar-nav ml-md-auto align-items-center">												
						<li class="nav-item dropdown hidden-caret">
							<a class="dropdown-toggle profile-pic" data-toggle="dropdown" href="#" aria-expanded="false">
								<div class="avatar-sm">
									<img src="<?php echo PATH_HOME ?>assets/img/profile.jpg" alt="..." class="avatar-img rounded-circle">
								</div>
							</a>
							<ul class="dropdown-menu dropdown-user animated fadeIn">
								<div class="dropdown-user-scroll scrollbar-outer">
									<li>
										<div class="user-box">
											<div class="avatar-lg"><img src="<?php echo PATH_HOME ?>assets/img/profile.jpg" alt="image profile" class="avatar-img rounded"></div>
											<div class="u-text">
												<h4><?php echo $USUARIO ?></h4>
												<p class="text-muted"><?php echo $TipoUsuario.'<br>'.AppName ?></p>
											</div>
										</div>
									</li>
									<li>
										<div class="dropdown-divider"></div>
										<a class="dropdown-item" href="#" id='LogOut'>Cerrar sesión</a>
									</li>
								</div>
							</ul>
						</li>
					</ul>
				</div>
			</nav>
</div>
<div id='logout'></div>
<script>
$(document).ready(function(){    	
    var tiempo = new Date();
    //fecha
    var mes =(tiempo.getMonth()+1);
        if(mes<10) mes = '0'+mes;
    var dia =tiempo.getDate();
        if(dia<10) dia='0'+dia;
    var ano = tiempo.getFullYear();
    var fecha = ano+'-'+mes+'-'+dia;

    $('#txtFecha').val(fecha);
	setInterval('Horas()',1000);
});	
//hora
function Horas(){
	var tiempo = new Date();
	
    let hh = tiempo.getHours();
        if(hh<10) hh = '0'+hh;
    let mm = tiempo.getMinutes();
        if(mm<10) mm = '0'+mm;
    let ss = tiempo.getSeconds();
        if(ss<10) ss = '0'+ss;
    let hora = hh+':'+mm+':'+ss;	

    $('#txtHora').val(hora);
}
//close
$('#LogOut').click(function(){
	$.post('<?php echo PATH_HOME.'indlogout/'.md5(uniqid()); ?>',{
	'txtFecha': $('#txtFecha').val(),
	'txtHora': $('#txtHora').val(),	 
    'coder': '<?php echo md5(uniqid()); ?>'
  },function(data){
    $('#logout').html(data);
  });
});

$('#rVentas').click(function(){
	let fec = $('#txtFecha').val();
	self.location='<?php echo PATH_HOME.'caja-resumen/';?>'+fec;
});

function vLink(encl){
	let fec = $('#txtFecha').val();
	self.location='<?php echo PATH_HOME;?>'+encl+fec;
}
</script>